<?php

/**
 * @author {@link mailto:corey@onpubco.com Corey HM Taylor}
 * @copyright Onpub (TM) Copyright (C) 2008, Onpubco
 * {@link http://onpubco.com/}
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * Version 2
 * @package onpubgui
 * @version 0.8.7
 */
class OnpubWidgetStats
{
    private $totalArticles;
    private $keywords;
    private $id;
    private $listType;
    private $listTypeParent;

    function __construct( $totalArticles, $keywords, $id, $listType, $listTypeParent )
    {
        $this->totalArticles = $totalArticles;
        $this->keywords = $keywords;
        $this->id = $id;
        $this->listType = $listType;
        $this->listTypeParent = $listTypeParent;
    }

    public function display()
    {
        echo '<td class="paginator" align="left" colspan="7">' . "\n";

        if ( $this->keywords ) {
            if ( $this->totalArticles == 1 ) {
                echo '<b>' . $this->totalArticles . ' ' . $this->listType . ' Found</b>' . "\n";
            }
            else {
                echo '<b>' . $this->totalArticles . ' ' . $this->listType . 's Found</b>' . "\n";
            }
        }
        else {
            if ( $this->id ) {
                if ( $this->totalArticles == 1 ) {
                    echo '<b>' . $this->totalArticles . ' ' . $this->listType . ' in ' . $this->listTypeParent . '</b>' . "\n";
                }
                else {
                    echo '<b>' . $this->totalArticles . ' ' . $this->listType . 's in ' . $this->listTypeParent . '</b>' . "\n";
                }
            }
            else {
                if ( $this->totalArticles == 1 ) {
                    echo '<b>' . $this->totalArticles . ' ' . $this->listType . ' in Total</b>' . "\n";
                }
                else {
                    echo '<b>' . $this->totalArticles . ' ' . $this->listType . 's in Total</b>' . "\n";
                }
            }
        }

        echo '</td>' . "\n";
    }
}

?>
